Skip to content

Stream scan progress via SSE

POST
/api/v1/onboarding/scan/stream
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/onboarding/scan/stream \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "business_name": "example", "website_url": "example" }'

Run a business scan with real-time progress updates via Server-Sent Events. Each SSE event is a JSON object with type ‘progress’, ‘complete’, or ‘error’.

Media typeapplication/json
ScanRequest

Request body for POST /api/v1/onboarding/scan.

Attributes: business_name: Legal or trading name of the business. website_url: Primary website URL to scan.

object
business_name
required
Business Name

Legal or trading name of the business

string
>= 1 characters <= 200 characters
website_url
required
Website Url

Primary website URL to scan

string
>= 3 characters <= 500 characters
Examplegenerated
{
"business_name": "example",
"website_url": "example"
}

Successful Response

Media typeapplication/json
Examplegenerated
example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}